[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCheckItemChange

Specifies an event handler signalled when a check box in TCustomCheckCombo is changed.

## Declaration

Source position: comboex.pas line 52

`type TCheckItemChange = procedure(`
`Sender: TObject;`
`AIndex: Integer`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`AIndex` |  | Ordinal position for the changed check box.

## Description

TCheckItemChange is an object procedure which specifies an event handler signalled when a check box in TCustomCheckCombo is changed. TCheckItemChange is the type used to implement the OnItemChange property in TCustomCheckCombo and TCheckComboBox.

## See also

TCustomCheckCombo.Checked |  | Provides indexed access to the Boolean value for a check box defined in Items.
TCustomCheckCombo.State |  | Provides indexed access to the checked State for a check box defined in Items.
TCustomCheckCombo.OnItemChange |  | Event handler signalled when the state for a check box in the control is changed.
TCheckComboBox.OnItemChange |  | Event handler signalled when the state for a check box in the control is changed.